Get campaign
curl --request GET \
--url https://api.vambe.me/api/public/outreach-campaign/{campaignId} \
--header 'x-api-key: <x-api-key>'const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api.vambe.me/api/public/outreach-campaign/{campaignId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vambe.me/api/public/outreach-campaign/{campaignId}"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Autocash Septiembre",
"status": "draft",
"campaign_type": "one_time",
"kpi_event": {
"key": "order_created",
"stage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"audience": {
"status": "<string>",
"source": "<string>",
"segment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"size": 123
},
"lifecycle": "notSent",
"delivery": {
"not_started": 123,
"running": 123,
"finished": 123,
"last_batch_at": "2023-11-07T05:31:56Z"
},
"created_at": "2023-11-07T05:31:56Z",
"front_url": "<string>",
"first_batch_at": "2023-11-07T05:31:56Z",
"results": {
"audience": 123,
"dispatched": 123,
"reached": 123,
"failed": 123,
"system_errors": 123,
"reach_breakdown": {
"full": 123,
"partial": 123,
"none": 123,
"stopped": 123
},
"responded": {
"count": 123,
"rate": 123,
"median_seconds": 123,
"by_channel": [
{
"channel": "<string>",
"count": 123
}
]
},
"converted": {
"event": {
"key": "order_created",
"stage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"count": 123,
"rate": 123,
"median_seconds": 123,
"revenue": {
"value": 123,
"currency": "<string>",
"average_order_value": 123
},
"direct": {
"count": 123,
"revenue": 123
}
}
},
"steps": [
{
"node_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"step_number": 123,
"kind": "send-template",
"name": "<string>",
"channel": "whatsapp",
"counts": {
"pending": 123,
"ongoing": 123,
"succeeded": 123,
"skipped": 123,
"failed": 123
},
"reached": 123,
"responded_after": 123,
"converted_after": 123,
"opted_out": 123,
"failures": [
{
"reason": "<string>",
"recipients": 123,
"level": "system"
}
],
"skips": [
{
"reason": "<string>",
"recipients": 123
}
],
"email": {
"sent": 123,
"delivered": 123,
"opened": 123,
"clicked": 123,
"bounced": 123,
"dropped": 123,
"spam_reported": 123,
"unsubscribed": 123
},
"voice": {
"calls_made": 123,
"answered": 123,
"reached_human": 123,
"objective_achieved": 123,
"average_duration_seconds": 123,
"total_duration_seconds": 123,
"status_breakdown": [
{
"status": "<string>",
"count": 123
}
],
"goal": {
"yes": 123,
"no": 123,
"partial": 123
}
}
}
]
}Campaigns
Get campaign
Retrieve one campaign with its results (reach, responses, conversions and revenue) and the performance of each send step. Use Get campaign recipients for the per-recipient detail.
GET
/
api
/
public
/
outreach-campaign
/
{campaignId}
Get campaign
curl --request GET \
--url https://api.vambe.me/api/public/outreach-campaign/{campaignId} \
--header 'x-api-key: <x-api-key>'const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api.vambe.me/api/public/outreach-campaign/{campaignId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vambe.me/api/public/outreach-campaign/{campaignId}"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Autocash Septiembre",
"status": "draft",
"campaign_type": "one_time",
"kpi_event": {
"key": "order_created",
"stage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"audience": {
"status": "<string>",
"source": "<string>",
"segment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"size": 123
},
"lifecycle": "notSent",
"delivery": {
"not_started": 123,
"running": 123,
"finished": 123,
"last_batch_at": "2023-11-07T05:31:56Z"
},
"created_at": "2023-11-07T05:31:56Z",
"front_url": "<string>",
"first_batch_at": "2023-11-07T05:31:56Z",
"results": {
"audience": 123,
"dispatched": 123,
"reached": 123,
"failed": 123,
"system_errors": 123,
"reach_breakdown": {
"full": 123,
"partial": 123,
"none": 123,
"stopped": 123
},
"responded": {
"count": 123,
"rate": 123,
"median_seconds": 123,
"by_channel": [
{
"channel": "<string>",
"count": 123
}
]
},
"converted": {
"event": {
"key": "order_created",
"stage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"count": 123,
"rate": 123,
"median_seconds": 123,
"revenue": {
"value": 123,
"currency": "<string>",
"average_order_value": 123
},
"direct": {
"count": 123,
"revenue": 123
}
}
},
"steps": [
{
"node_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"step_number": 123,
"kind": "send-template",
"name": "<string>",
"channel": "whatsapp",
"counts": {
"pending": 123,
"ongoing": 123,
"succeeded": 123,
"skipped": 123,
"failed": 123
},
"reached": 123,
"responded_after": 123,
"converted_after": 123,
"opted_out": 123,
"failures": [
{
"reason": "<string>",
"recipients": 123,
"level": "system"
}
],
"skips": [
{
"reason": "<string>",
"recipients": 123
}
],
"email": {
"sent": 123,
"delivered": 123,
"opened": 123,
"clicked": 123,
"bounced": 123,
"dropped": 123,
"spam_reported": 123,
"unsubscribed": 123
},
"voice": {
"calls_made": 123,
"answered": 123,
"reached_human": 123,
"objective_achieved": 123,
"average_duration_seconds": 123,
"total_duration_seconds": 123,
"status_breakdown": [
{
"status": "<string>",
"count": 123
}
],
"goal": {
"yes": 123,
"no": 123,
"partial": 123
}
}
}
]
}Headers
API key needed to authorize the request
Path Parameters
The ID of the campaign, from List campaigns
Response
Campaign retrieved successfully.
Example:
"Autocash Septiembre"
Available options:
draft, active, paused, archived Available options:
one_time The conversion goal of the campaign
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
notSent, inProcess, finished Show child attributes
Show child attributes
Link to the campaign in Vambe
Show child attributes
Show child attributes
Performance of each send step, in campaign order
Show child attributes
Show child attributes
Was this page helpful?
